Bug 75000 - Patch port: audio/wsoundprefs unbroke port
Summary: Patch port: audio/wsoundprefs unbroke port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-12 22:50 UTC by Serge Gagnon
Modified: 2005-03-01 07:55 UTC (History)
0 users

See Also:


Attachments
patch-Makefile.diff (421 bytes, patch)
2004-12-12 22:50 UTC, Serge Gagnon
no flags Details | Diff
patch-WSoundPrefs.c (537 bytes, text/plain)
2004-12-12 22:50 UTC, Serge Gagnon
no flags Details
file.diff (418 bytes, patch)
2004-12-12 22:50 UTC, Serge Gagnon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Gagnon 2004-12-12 22:50:16 UTC
	Unbroke this port:
	o this port need libXft to link now (patch-Imakefile)
	o function WMCreateNormalFont disapear somewhere between version
	1.50 and 1.21 of WINGs/wfont.c on the wmaker cvs (patch-WSoundPrefs.c)
	o function RDestroyImage is now renamed RReleaseImage (patch-main.c)

	Replace file/patch-ab by patch-Imakefile
	New file:	file/patch-Imakefile
		file/patch-WSoundPrefs.c
		file/patch-main.c

Fix: --- src/Imakefile.orig	Mon Oct 18 04:35:58 1999
+++ src/Imakefile	Sun Dec 12 16:48:09 2004
@@ -5,9 +5,9 @@
 
 ICONS = WSoundPrefs.xpm WSoundPrefs.tiff
 
-CC = gcc
+XCOMM CC = gcc
 
-BINDIR = /Apps/WSoundPrefs.app
+BINDIR = /GNUstep/Apps/WSoundPrefs.app
 
 XCOMM EFENCELIB = -lefence
 EFENCELIB =
@@ -18,9 +18,9 @@
 WRASTERCFLAGS = `get-wraster-flags --cflags`
 WRASTERLFLAGS = `get-wraster-flags --lflags`
 WRASTERLIBS = `get-wraster-flags --libs`
-WINGSLIBS = -lWINGs -lPropList
-
-STD_INCLUDES = $(WRASTERCFLAGS) $(WSOUNDCFLAGS)
+WINGSLIBS = -lWINGs -lXft -L/$(LOCALBASE)/lib -lPropList
+  
+STD_INCLUDES = $(WRASTERCFLAGS) -I${LOCALBASE}/include -I${X11BASE}/include -I${X11BASE}/include/WINGs
 DEPLIBS = $(DEPXLIB) 
 
 LOCAL_LIBRARIES =	$(XLIB) $(WINGSLIBS) $(WSOUNDLFLAGS) $(WSOUNDLIBS) $(WRASTERLFLAGS) $(WRASTERLIBS) $(EFENCELIB)
@@ -30,7 +30,7 @@
 SRCS = PLFunctions.c SoundEvents.c SoundPaths.c SystemInfo.c WSoundPrefs.c main.c
 OBJS = PLFunctions.o SoundEvents.o SoundPaths.o SystemInfo.o WSoundPrefs.o main.o
 
-ComplexProgramTarget(WSoundPrefs)
+ComplexProgramTargetNoMan(WSoundPrefs)
 
 InstallMultiple($(ICONS),$(BINDIR))
 
--- patch-Imakefile ends here ---
Comment 1 Kirill Ponomarev freebsd_committer 2004-12-13 10:36:35 UTC
State Changed
From-To: open->feedback

Please submit patches relative to files/ directory.
Comment 2 Serge Gagnon 2005-01-03 18:52:40 UTC
diff -urN wsoundprefs.orig/Makefile wsoundprefs/Makefile
--- wsoundprefs.orig/Makefile	Tue Dec 14 10:00:36 2004
+++ wsoundprefs/Makefile	Sun Dec 12 15:54:06 2004
@@ -15,8 +15,6 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A utility for configuring sounds to play for Window Maker events
 
-BROKEN=		"Does not build with new version of windowmaker"
-
 BUILD_DEPENDS=	wmaker:${PORTSDIR}/x11-wm/windowmaker
 LIB_DEPENDS=	PropList.2:${PORTSDIR}/devel/libPropList \
 		wsound.1:${PORTSDIR}/audio/wsoundserver
diff -urN wsoundprefs.orig/files/patch-Imakefile wsoundprefs/files/patch-I
makefile
--- wsoundprefs.orig/files/patch-Imakefile	Wed Dec 31 19:00:00 1969
+++ wsoundprefs/files/patch-Imakefile	Sun Dec 12 17:28:34 2004
@@ -0,0 +1,36 @@
+--- src/Imakefile.orig	Mon Oct 18 04:35:58 1999
++++ src/Imakefile	Sun Dec 12 16:48:09 2004
+@@ -5,9 +5,9 @@
+ 
+ ICONS = WSoundPrefs.xpm WSoundPrefs.tiff
+ 
+-CC = gcc
++XCOMM CC = gcc
+ 
+-BINDIR = /Apps/WSoundPrefs.app
++BINDIR = /GNUstep/Apps/WSoundPrefs.app
+ 
+ XCOMM EFENCELIB = -lefence
+ EFENCELIB =
+@@ -18,9 +18,9 @@
+ WRASTERCFLAGS = `get-wraster-flags --cflags`
+ WRASTERLFLAGS = `get-wraster-flags --lflags`
+ WRASTERLIBS = `get-wraster-flags --libs`
+-WINGSLIBS = -lWINGs -lPropList
+-
+-STD_INCLUDES = $(WRASTERCFLAGS) $(WSOUNDCFLAGS)
++WINGSLIBS = -lWINGs -lXft -L/$(LOCALBASE)/lib -lPropList
++  
++STD_INCLUDES = $(WRASTERCFLAGS) -I${LOCALBASE}/include 
-I${X11BASE}/include -I${X11BASE}/include/WINGs
+ DEPLIBS = $(DEPXLIB) 
+ 
+ LOCAL_LIBRARIES =	$(XLIB) $(WINGSLIBS) $(WSOUNDLFLAGS) $(WSOUNDLIBS) 
$(WRASTERLFLAGS) $(WRASTERLIBS) $(EFENCELIB)
+@@ -30,7 +30,7 @@
+ SRCS = PLFunctions.c SoundEvents.c SoundPaths.c SystemInfo.c 
WSoundPrefs.c main.c
+ OBJS = PLFunctions.o SoundEvents.o SoundPaths.o SystemInfo.o 
WSoundPrefs.o main.o
+ 
+-ComplexProgramTarget(WSoundPrefs)
++ComplexProgramTargetNoMan(WSoundPrefs)
+ 
+ InstallMultiple($(ICONS),$(BINDIR))
+ 
diff -urN wsoundprefs.orig/files/patch-WSoundPrefs.c 
wsoundprefs/files/patch-WSoundPrefs.c
--- wsoundprefs.orig/files/patch-WSoundPrefs.c	Wed Dec 31 19:00:00 1969
+++ wsoundprefs/files/patch-WSoundPrefs.c	Sun Dec 12 17:25:01 2004
@@ -0,0 +1,11 @@
+--- src/WSoundPrefs.c.orig	Sun Dec 12 17:17:37 2004
++++ src/WSoundPrefs.c	Sun Dec 12 17:24:29 2004
+@@ -407,7 +407,7 @@
+ 		WMResizeWidget(panel->copyrightL, 448, 20);
+ 		WMMoveWidget(panel->copyrightL, 8, 178);
+ 		WMSetLabelTextAlignment(panel->copyrightL, WACenter);
+-		font = WMCreateNormalFont(scr, "-*-helvetica-medium-r-normal-*-10-*-*-
*-*-*-*-*");
++		font = WMCreateFont(scr, "-*-helvetica-medium-r-normal-*-10-*-*-*-*-*-
*-*");
+ 		if (font)
+ 			WMSetLabelText(panel->copyrightL, "Copyright \xa9 1999 The 
Az\xe5rg-r\xfbh");
+ 		else {
diff -urN wsoundprefs.orig/files/patch-ab wsoundprefs/files/patch-ab
--- wsoundprefs.orig/files/patch-ab	Tue Dec 14 10:00:36 2004
+++ wsoundprefs/files/patch-ab	Wed Dec 31 19:00:00 1969
@@ -1,36 +0,0 @@
---- src/Imakefile.orig	Mon Oct 18 17:35:58 1999
-+++ src/Imakefile	Sun Dec 10 17:09:01 2000
-@@ -5,9 +5,9 @@
- 
- ICONS = WSoundPrefs.xpm WSoundPrefs.tiff
- 
--CC = gcc
-+XCOMM CC = gcc
- 
--BINDIR = /Apps/WSoundPrefs.app
-+BINDIR = /GNUstep/Apps/WSoundPrefs.app
- 
- XCOMM EFENCELIB = -lefence
- EFENCELIB =
-@@ -18,9 +18,9 @@
- WRASTERCFLAGS = `get-wraster-flags --cflags`
- WRASTERLFLAGS = `get-wraster-flags --lflags`
- WRASTERLIBS = `get-wraster-flags --libs`
--WINGSLIBS = -lWINGs -lPropList
--
--STD_INCLUDES = $(WRASTERCFLAGS) $(WSOUNDCFLAGS)
-+WINGSLIBS = -lWINGs -L/$(LOCALBASE)/lib -lPropList
-+  
-+STD_INCLUDES = $(WRASTERCFLAGS) -I${LOCALBASE}/include 
-I${X11BASE}/include -I${X11BASE}/include/WINGs
- DEPLIBS = $(DEPXLIB) 
- 
- LOCAL_LIBRARIES =	$(XLIB) $(WINGSLIBS) $(WSOUNDLFLAGS) $(WSOUNDLIBS) 
$(WRASTERLFLAGS) $(WRASTERLIBS) $(EFENCELIB)
-@@ -30,7 +30,7 @@
- SRCS = PLFunctions.c SoundEvents.c SoundPaths.c SystemInfo.c 
WSoundPrefs.c main.c
- OBJS = PLFunctions.o SoundEvents.o SoundPaths.o SystemInfo.o 
WSoundPrefs.o main.o
- 
--ComplexProgramTarget(WSoundPrefs)
-+ComplexProgramTargetNoMan(WSoundPrefs)
- 
- InstallMultiple($(ICONS),$(BINDIR))
- 
diff -urN wsoundprefs.orig/files/patch-main.c wsoundprefs/files/patch-main
.c
--- wsoundprefs.orig/files/patch-main.c	Wed Dec 31 19:00:00 1969
+++ wsoundprefs/files/patch-main.c	Sun Dec 12 17:28:12 2004
@@ -0,0 +1,11 @@
+--- src/main.c.orig	Sun Dec 12 16:46:36 2004
++++ src/main.c	Sun Dec 12 16:46:57 2004
+@@ -109,7 +109,7 @@
+ 			wwarning(_("could not load image file %s:%s"), path, 
RMessageForError(RErrorCode));
+ 		else {
+ 			icon = WMCreatePixmapFromRImage(scr, tmp, 0);
+-			RDestroyImage(tmp);
++			RReleaseImage(tmp);
+ 			if (icon) {
+ 				WMSetApplicationIconImage(scr, icon);
+ 				WMReleasePixmap(icon);
Comment 3 Volker Stolz freebsd_committer 2005-02-03 15:28:15 UTC
Patching file files/patch-Imakefile using Plan A...
patch: **** malformed patch at line 128: -I${X11BASE}/include  
-I${X11BASE}/include/WINGs

Please submit patches as a proper attachment so they don't get munged by  
mailers.

Volker
Comment 4 Serge Gagnon 2005-02-28 22:12:47 UTC
On Thu, 2005-02-03 at 16:28 +0100, Volker Stolz wrote:
> Patching file files/patch-Imakefile using Plan A...
> patch: **** malformed patch at line 128: -I${X11BASE}/include  
> -I${X11BASE}/include/WINGs
> 
> Please submit patches as a proper attachment so they don't get munged by  
> mailers.
Sorry, but i can't because i lost it in an uppgrade from 4.11->5.3 ...
and a lot of important things too.

-- 
GAGNON Serge <ser_gagnon@sympatico.ca>
Comment 5 Volker Stolz freebsd_committer 2005-03-01 07:54:40 UTC
State Changed
From-To: feedback->closed

Broken patch. Sorry it didn't work out!